<script lang="ts">
import Vue from 'vue';
import { UseLocalizedVideoSubtitles } from '~/mixins';

export default Vue.extend({
  name: 'SolutionsVideoFeature',
  mixins: [UseLocalizedVideoSubtitles],
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  methods: {
    handleClick() {
      setTimeout(() => {
        window.__vimeoRefresh();
      }, 3000);
    },
  },
});
</script>

<template>
  <div>
    <SlpRow v-if="data.header">
      <SlpTypography
        variant="heading2-bold"
        tag="h2"
        class="slp-mb-24 slp-mt-64"
        >{{ data.header }}</SlpTypography
      >
      <SlpTypography variant="heading5" tag="p">{{
        data.description
      }}</SlpTypography>
    </SlpRow>
    <section class="video-feature">
      <SlpContainer>
        <SlpRow class="video-feature__wrapper">
          <SlpColumn>
            <div class="video-feature__container">
              <div class="video-feature__overlay" @click="handleClick"></div>
              <iframe
                style="width: 100%; height: 100%"
                :src="createVideoSource(data.video.url)"
                title="video player"
                frameborder="0"
                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                allowfullscreen
              ></iframe>
            </div>
          </SlpColumn>
        </SlpRow>
      </SlpContainer>
    </section>
  </div>
</template>

<style lang="scss" scoped>
.video-feature {
  position: relative;
  &__container {
    padding-bottom: 67.5%;
    width: 100%;
    position: relative;
    border-radius: $spacing-4;
    overflow: hidden;
    iframe {
      position: absolute;
      height: 100%;
      left: 0;
      top: 0;
      width: 100%;
    }
  }
  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 30%;
    background-color: $color-surface-800;
    height: 70%;
    z-index: -1;

    left: -100vw;
    width: 200vw;
  }
  &__wrapper {
    width: 100%;
    justify-content: center;
  }
}
</style>
